Class | YAML::Object
In: | yaml/types.rb
Parent: | Object

Unresolved objects

### Methods

tag_subclasses? to_yaml

### Public Class methods

tag_subclasses?()

[Source]

    # File yaml/types.rb, line 48
            def self.tag_subclasses?; false; end

### Public Instance methods

to_yaml( opts = {} )

[Source]

    # File yaml/types.rb, line 49
            def to_yaml( opts = {} )
                YAML::quick_emit( object_id, opts ) do |out|
                    out.map( "tag:ruby.yaml.org,2002:object:#{ @class }", to_yaml_style ) do |map|
                        @ivars.each do |k,v|
                            map.add( k, v )
                        end
                    end
                end
            end

[Validate]